Skip to main content
POST
/
api
/
lists
/
export
Export List
curl --request POST \
  --url https://app.puffle.ai/api/lists/export \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "listId": "<string>",
  "filter": {
    "leadIds": [
      "<string>"
    ],
    "where": [
      {
        "field": "<string>",
        "value": "<unknown>"
      }
    ],
    "orderBy": [
      {
        "field": "<string>"
      }
    ],
    "limit": 2500
  },
  "fields": [
    "<string>"
  ],
  "includeSources": true
}
'
"<string>"
CLI:
puffle list export
puffle list export --list-id <list-id> --filter <filter> --fields <fields> --include-sources

Overview

Exports a List as a CSV. Use it when an agent or operator needs a portable lead dataset instead of the interactive List view.

AI agent notes

Prefer this endpoint for List exports. If you only need API pagination, use the List Leads endpoint instead of exporting a CSV.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
listId
string
Minimum string length: 1
filter
object
fields
string[]
Minimum string length: 1
includeSources
boolean

Response

CSV export of the List.

CSV document containing Lead fields.